#ifndef _UTILS_H
#define _UTILS_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/wait.h>
#include <sys/stat.h>

// useful macro for handling error codes
#define CHECK(return_value, call_description, error_label)			\
	if ((return_value) == -1) {						\
		fprintf(stderr, "(%s, %d): ", __FILE__, __LINE__);	\
		perror(call_description);					\
		goto error_label;						\
	}								

#endif

